<?xml version="1.0" encoding="utf-8"?>
<Document>
  <Engineering version="V20" />
  <SW.Blocks.GlobalDB ID="0">
    <AttributeList>
      <AutoNumber>false</AutoNumber>
      <HeaderAuthor>IBAE</HeaderAuthor>
      <Interface><Sections xmlns="http://www.siemens.com/automation/Openness/SW/Interface/v5">
  <Section Name="Static">
    <Member Name="Datenlistenkopf" Datatype="Struct" Remanence="Retain">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
      <Comment>
        <MultiLanguageText Lang="de-DE">Reihenfolge nächster Leerpuffer</MultiLanguageText>
      </Comment>
      <Member Name="KOPF" Datatype="Word">
        <Comment>
          <MultiLanguageText Lang="de-DE">Datenliste-Kennnung (DA) / Datensatzlänge in Word (1 - 128)</MultiLanguageText>
        </Comment>
        <StartValue>WORD#16#DA01</StartValue>
      </Member>
      <Member Name="LAENGE" Datatype="Int">
        <Comment>
          <MultiLanguageText Lang="de-DE">Länge der Datenliste (maximale Anzahl der Datensätze)</MultiLanguageText>
        </Comment>
        <StartValue>50</StartValue>
      </Member>
      <Member Name="STAMMDATEN" Datatype="Int">
        <Comment>
          <MultiLanguageText Lang="de-DE">Stammdatenlänge in Word (1 - 9)</MultiLanguageText>
        </Comment>
        <StartValue>1</StartValue>
      </Member>
      <Member Name="INDDB" Datatype="Int">
        <Comment>
          <MultiLanguageText Lang="de-DE">Indizierter DB (nur bei Stammdaten = 1 erlaubt !!!)</MultiLanguageText>
        </Comment>
      </Member>
      <Member Name="LAENGEINDDB" Datatype="Int">
        <Comment>
          <MultiLanguageText Lang="de-DE">Länge des indizierten DB in Word (nur bei Stammdaten = 1 erlaubt !!!)</MultiLanguageText>
        </Comment>
      </Member>
      <Member Name="INDDATEN_WANDEL_FC" Datatype="Int">
        <Comment>
          <MultiLanguageText Lang="de-DE">FC zum Wandeln der indizierte Daten (nur bei Stammdaten = 1 erlaubt !!!)</MultiLanguageText>
        </Comment>
      </Member>
      <Member Name="LETZTERZUGRIFF" Datatype="Int">
        <Comment>
          <MultiLanguageText Lang="de-DE">Speicherung des letzten Zugriffs</MultiLanguageText>
        </Comment>
      </Member>
      <Member Name="Belegt14" Datatype="Int">
        <Comment>
          <MultiLanguageText Lang="de-DE">reserviert von Sort-Datenliste</MultiLanguageText>
        </Comment>
      </Member>
      <Member Name="AnzahlEintraege" Datatype="Int">
        <Comment>
          <MultiLanguageText Lang="de-DE">Anzahl der eingetragenen Datensätze (nicht bei ind.Zugriff!)</MultiLanguageText>
        </Comment>
      </Member>
      <Member Name="Reserve18" Datatype="Int">
        <Comment>
          <MultiLanguageText Lang="de-DE">Reserve</MultiLanguageText>
        </Comment>
      </Member>
    </Member>
    <Member Name="Leerer_VollPuffer" Datatype="Array[1..50] of Struct" Remanence="Retain">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
      <Member Name="Puffer" Datatype="Int" />
    </Member>
    <Member Name="Endekennung" Datatype="Word" Remanence="Retain">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
      <Comment>
        <MultiLanguageText Lang="de-DE">Datensort-Ende-Kennung (DBEE)</MultiLanguageText>
      </Comment>
      <StartValue>WORD#16#DAEE</StartValue>
    </Member>
    <Member Name="Reorganisieren" Datatype="Bool" Remanence="Retain">
      <Comment>
        <MultiLanguageText Lang="de-DE">Löschen und neu erstellen</MultiLanguageText>
      </Comment>
      <StartValue>1</StartValue>
    </Member>
  </Section>
</Sections></Interface>
      <MemoryLayout>Standard</MemoryLayout>
      <Name>DLVollPuffer_leer</Name>
      <Namespace />
      <Number>100</Number>
      <ProgrammingLanguage>DB</ProgrammingLanguage>
    </AttributeList>
    <ObjectList>
      <MultilingualText ID="1" CompositionName="Comment">
        <ObjectList>
          <MultilingualTextItem ID="2" CompositionName="Items">
            <AttributeList>
              <Culture>cs-CZ</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="3" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="4" CompositionName="Items">
            <AttributeList>
              <Culture>en-US</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
      <MultilingualText ID="5" CompositionName="Title">
        <ObjectList>
          <MultilingualTextItem ID="6" CompositionName="Items">
            <AttributeList>
              <Culture>cs-CZ</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="7" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="8" CompositionName="Items">
            <AttributeList>
              <Culture>en-US</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
    </ObjectList>
  </SW.Blocks.GlobalDB>
</Document>